libhttppp ..

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Controller Class Reference
Inheritance diagram for Controller:
[legend]
Collaboration diagram for Controller:
[legend]

## Public Member Functions
| Controller (std::vector< netplus::socket * > serversocket)
void | RequestEvent (libhttppp::HttpRequest &curreq, const int tid, ULONG_PTR args)
| Controller (std::vector< netplus::socket * > serversocket)
void | RequestEvent (libhttppp::HttpRequest &curreq, const int tid, ULONG_PTR args)
| Controller (std::vector< netplus::socket * > serversocket)
void | RequestEvent (libhttppp::HttpRequest &curreq, const int tid, ULONG_PTR args)
| Controller (std::vector< netplus::socket * > serversocket)
void | RequestEvent (libhttppp::HttpRequest &curreq, const int tid, ULONG_PTR args)
| Controller (std::vector< netplus::socket * > serversocket)
void | RequestEvent (libhttppp::HttpRequest &curreq, const int tid, ULONG_PTR args)
| Controller (std::vector< netplus::socket * > serversocket)
void | RequestEvent (libhttppp::HttpRequest &curreq, const int tid, ULONG_PTR args)
| Controller (std::vector< netplus::socket * > serversocket)
void | IndexController (libhttppp::HttpRequest &curreq)
void | RequestEvent (libhttppp::HttpRequest &curreq, const int tid, ULONG_PTR args)
void | ResponseEvent (libhttppp::HttpRequest &curreq, const int tid, ULONG_PTR args)
Public Member Functions inherited from libhttppp::HttpEvent
| HttpEvent (std::vector< netplus::socket * > serversocket, int timeout=1000)
virtual void | ConnectEvent (HttpRequest &curreq, const int tid, ULONG_PTR args)
virtual void | DisconnectEvent (HttpRequest &curreq, const int tid, ULONG_PTR args)
virtual bool | Http2RequestEvent (netplus::con &curcon, const int tid, ULONG_PTR args, const std::string &alpn, const netplus::ssl::FramingCallback &frame_cb)
virtual void | Http3StreamEvent (netplus::socket *sock, uint64_t stream_id, const std::vector< uint8_t > &data, bool fin)

## Additional Inherited Members
Protected Member Functions inherited from libhttppp::HttpEvent
void | CreateConnection (std::shared_ptr< netplus::con > &res)
Protected Attributes inherited from libhttppp::HttpEvent
std::string | _altSvcH3

## Member Function Documentation

## ◆ RequestEvent() [1/7]

void Controller::RequestEvent | ( | libhttppp::HttpRequest & | curreq,
|  | const int | tid,
|  | ULONG_PTR | args
| ) |  |
| inline virtual

Reimplemented from libhttppp::HttpEvent.

## ◆ RequestEvent() [2/7]

void Controller::RequestEvent | ( | libhttppp::HttpRequest & | curreq,
|  | const int | tid,
|  | ULONG_PTR | args
| ) |  |
| inline virtual

Reimplemented from libhttppp::HttpEvent.

## ◆ RequestEvent() [3/7]

void Controller::RequestEvent | ( | libhttppp::HttpRequest & | curreq,
|  | const int | tid,
|  | ULONG_PTR | args
| ) |  |
| inline virtual

Reimplemented from libhttppp::HttpEvent.

## ◆ RequestEvent() [4/7]

void Controller::RequestEvent | ( | libhttppp::HttpRequest & | curreq,
|  | const int | tid,
|  | ULONG_PTR | args
| ) |  |
| inline virtual

Reimplemented from libhttppp::HttpEvent.

## ◆ RequestEvent() [5/7]

void Controller::RequestEvent | ( | libhttppp::HttpRequest & | curreq,
|  | const int | tid,
|  | ULONG_PTR | args
| ) |  |
| inline virtual

Reimplemented from libhttppp::HttpEvent.

## ◆ RequestEvent() [6/7]

void Controller::RequestEvent | ( | libhttppp::HttpRequest & | curreq,
|  | const int | tid,
|  | ULONG_PTR | args
| ) |  |
| inline virtual

Reimplemented from libhttppp::HttpEvent.

## ◆ RequestEvent() [7/7]

void Controller::RequestEvent | ( | libhttppp::HttpRequest & | curreq,
|  | const int | tid,
|  | ULONG_PTR | args
| ) |  |
| inline virtual

Reimplemented from libhttppp::HttpEvent.

## ◆ ResponseEvent()

void Controller::ResponseEvent | ( | libhttppp::HttpRequest & | curreq,
|  | const int | tid,
|  | ULONG_PTR | args
| ) |  |
| inline virtual

Reimplemented from libhttppp::HttpEvent.

The documentation for this class was generated from the following files:

- examples/httpauth.cpp
- examples/httpcon.cpp
- examples/httpcookie.cpp
- examples/httpform.cpp
- examples/httphello.cpp
- examples/httpproxy.cpp
- examples/httpsysinfo.cpp